### Enumeration

# Gtk BuilderError

#### Declaration

    error-domain Gtk.BuilderError

#### Description [src]

Error codes that identify various errors that can occur while using `GtkBuilder`.

#### Members

Name | Description
--- | ---
`GTK_BUILDER_ERROR_INVALID_TYPE_FUNCTION` | A type-func attribute didn’t name a function that returns a `GType`.
`GTK_BUILDER_ERROR_UNHANDLED_TAG` | The input contained a tag that `GtkBuilder` can’t handle.
`GTK_BUILDER_ERROR_MISSING_ATTRIBUTE` | An attribute that is required by `GtkBuilder` was missing.
`GTK_BUILDER_ERROR_INVALID_ATTRIBUTE` | `GtkBuilder` found an attribute that it doesn’t understand.
`GTK_BUILDER_ERROR_INVALID_TAG` | `GtkBuilder` found a tag that it doesn’t understand.
`GTK_BUILDER_ERROR_MISSING_PROPERTY_VALUE` | A required property value was missing.
`GTK_BUILDER_ERROR_INVALID_VALUE` | `GtkBuilder` couldn’t parse some attribute value.
`GTK_BUILDER_ERROR_VERSION_MISMATCH` | The input file requires a newer version of GTK.
`GTK_BUILDER_ERROR_DUPLICATE_ID` | An object id occurred twice.
`GTK_BUILDER_ERROR_OBJECT_TYPE_REFUSED` | A specified object type is of the same type or derived from the type of the composite class being extended with builder XML.
`GTK_BUILDER_ERROR_TEMPLATE_MISMATCH` | The wrong type was specified in a composite class’s template XML.
`GTK_BUILDER_ERROR_INVALID_PROPERTY` | The specified property is unknown for the object class.
`GTK_BUILDER_ERROR_INVALID_SIGNAL` | The specified signal is unknown for the object class.
`GTK_BUILDER_ERROR_INVALID_ID` | An object id is unknown.
`GTK_BUILDER_ERROR_INVALID_FUNCTION` | A function could not be found. This often happens when symbols are set to be kept private. Compiling code with -rdynamic or using the `gmodule-export-2.0` pkgconfig module can fix this problem.

#### Type functions

###### gtk_builder_error_quark

No description available.